Skip to main content
GET
/
calls
/
agent
/
{agent_id}
/
calls
List Agent Calls
curl --request GET \
  --url https://api.example.com/calls/agent/{agent_id}/calls \
  --header 'Authorization: Bearer <token>'
{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>",
      "input": "<unknown>",
      "ctx": {}
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.mrassistant.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

agent_id
string<uuid>
required

Query Parameters

limit
integer
default:100

Number of calls to return

Required range: 1 <= x <= 500
offset
integer
default:0

Number of calls to skip

Required range: x >= 0
direction
string | null

Filter by direction: inbound, outbound

status_filter
string | null

Filter by status: initiated, ringing, answered, ended, failed

start_date
string<date-time> | null

Filter calls after this date

end_date
string<date-time> | null

Filter calls before this date

Response

Successful Response